#
npm prefix

##
Display prefix

###
Synopsis

    npm prefix [-g]

###
Description

Print the local prefix to standard out. This is the closest parent directory to contain a `package.json` file or `node_modules` directory, unless `-g` is also specified.

If `-g` is specified, this will be the value of the global prefix. See `npm config` for more detail.

###
See Also

- npm root
- npm bin
- npm folders
- npm config
- npmrc

👀 Found a typo? Let us know!

The current stable version of npm is here. To upgrade, run: `npm install npm@latest -g`

To report bugs or submit feature requests for the docs, or for any issues regarding the npm command line tool, please post on the npm/cli GitHub project.